org.springframework.http.converter

## Class HttpMessageNotReadableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.http.converter.HttpMessageConversionException
          - - org.springframework.http.converter.HttpMessageNotReadableException

All Implemented Interfaces:
  Serializable

    public class HttpMessageNotReadableException
    extends HttpMessageConversionException

Thrown by `HttpMessageConverter` implementations when the `read` method fails.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HttpMessageNotReadableException(String msg)` Create a new HttpMessageNotReadableException.
`HttpMessageNotReadableException(String msg, Throwable cause)` Create a new HttpMessageNotReadableException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HttpMessageNotReadableException

    public HttpMessageNotReadableException(String msg)

Create a new HttpMessageNotReadableException.

Parameters:
  `msg` - the detail message

#### HttpMessageNotReadableException

    public HttpMessageNotReadableException(String msg,
                                   Throwable cause)

Create a new HttpMessageNotReadableException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (if any)